Subject: Re: bug#15156: 24.3; !MEM FULL!

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 06 Sep 2013 10:55:55 +0200

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 05 Sep 2013 16:26:44 +0200
>> 
>> Eli Zaretskii wrote:
>> >> From: "Sebastien Vauban" <[email-masked]>
>> >> Cc: [email-masked]
>> >> Date: Thu, 05 Sep 2013 15:21:41 +0200
>> >> 
>> >> I could NOT reproduce this problem for days and days, even trying to keep
>> >> longer Emacs sessions.
>> >> 
>> >> Though, it just happened with GNU Emacs 24.3.1.
>> >> 
>> >>     GNU Emacs 24.3.1 (i386-mingw-nt6.2.9200) of 2013-04-08 on LEG570
>> >
>> > You mean, it didn't happen in the current development trunk, but still
>> > happens quite frequently in 24.3.1?
>> 
>> No, I simply mean that, when it happened today, it was with 24.3.1.
>
> And before that, it happened with neither 24.3 nor the trunk?
>
>> That said, I have the *impression* that it relates to external processes (such
>> as svn or ispell).
>
> All I see in the screencast is that the memory footprint grows, then
> shrinks back.  Assuming you have something going on in Emacs that can
> explain several hundreds of MBs of memory consumption, that's actually
> normal: Emacs uses up memory when it needs it, then releases it when
> it no longer does.  So maybe there's no problem here at all.

You take the precaution of "assuming I have something explaining several
hundreds of MBs of memory consumption", and that's where the problem lies: I
don't have anything that could explain that.

Yesterday, at the time of the problem, I was simply checking in things in SVN
via VC-dir, that is buffers of a couple of tens of lines. Nothing else.

What's weird as well is that the memory shrinks back to a lower level -- even
if still quite important. No apparent reason for that. And, anyway, I still
can't use Emacs as you saw: I'm forced to kill Emacs from the Task Manager.

Now, what's complex, is that the problem is highly unreproducible: it occurs
sometimes a couple of times in a row, sometimes not for a longer period of
time.

And, I don't know if it happens with the current trunk as, yesterday, because
of the other problem (package not adding tex-site's dir to the load-path), I
was forced to regress to Emacs 24.3.1.

Best regards,
  Seb